package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddRectAcceMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddRectAcce;
import com.goldenwater.slaj.hidd.service.IBisHiddRectAcceService;

/**
 * 隐患治理验收 服务层实现
 */
@Service
public class BisHiddRectAcceServiceImpl implements IBisHiddRectAcceService {

    @Autowired
    private BisHiddRectAcceMapper bisHiddRectAcceMapper;

    /**
     * 查询隐患治理验收信息
     * @param guid 查询条件
     * @return 隐患治理验收信息
     */
    @Override
    public BisHiddRectAcce selectBisHiddRectAcceByGuid(String guid) {
        return bisHiddRectAcceMapper.selectBisHiddRectAcceByGuid(guid);
    }

    /**
     * 查询隐患治理验收列表
     * @param bisHiddRectAcce 隐患治理验收查询条件
     * @return 隐患治理验收集合
     */
    @Override
    public List<BisHiddRectAcce> selectBisHiddRectAcceList(BisHiddRectAcce bisHiddRectAcce) {
        return bisHiddRectAcceMapper.selectBisHiddRectAcceList(bisHiddRectAcce);
    }

    /**
     * 新增隐患治理验收
     * @param bisHiddRectAcce 隐患治理验收信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddRectAcce(BisHiddRectAcce bisHiddRectAcce) {
        return bisHiddRectAcceMapper.insertBisHiddRectAcce(bisHiddRectAcce);
    }

    /**
     * 修改隐患治理验收
     * @param bisHiddRectAcce 隐患治理验收信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddRectAcce(BisHiddRectAcce bisHiddRectAcce) {
        return bisHiddRectAcceMapper.updateBisHiddRectAcce(bisHiddRectAcce);
    }

    /**
     * 删除隐患治理验收
     * @param guid 隐患治理验收主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRectAcceByGuid(String guid) {
        return bisHiddRectAcceMapper.deleteBisHiddRectAcceByGuid(guid);
    }

    /**
     * 批量删除隐患治理验收
     * @param guids 隐患治理验收主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddRectAcceByGuids(String[] guids) {
        return bisHiddRectAcceMapper.deleteBisHiddRectAcceByGuids(guids);
    }
}
